org.apache.tinkerpop.gremlin.structure

## Class RemoteGraph.RemoteGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.RemoteGraph.RemoteGraphFeatures

- All Implemented Interfaces:
    Graph.Features.FeatureSet, Graph.Features.GraphFeatures
  Enclosing class:
    RemoteGraph

      public static class RemoteGraph.RemoteGraphFeatures
      extends Object
      implements Graph.Features.GraphFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `FEATURE_COMPUTER, FEATURE_CONCURRENT_ACCESS, FEATURE_IO_READ, FEATURE_IO_WRITE, FEATURE_PERSISTENCE, FEATURE_THREADED_TRANSACTIONS, FEATURE_TRANSACTIONS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsThreadedTransactions()` Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
    `boolean` | `supportsTransactions()` Determines if the `Graph` implementations supports transactions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `supportsComputer, supportsConcurrentAccess, supportsIoRead, supportsIoWrite, supportsPersistence, variables`

- - ### Method Detail

    - #### supportsTransactions

          public boolean supportsTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementations supports transactions.
      Specified by:
        `supportsTransactions` in interface `Graph.Features.GraphFeatures`

    - #### supportsThreadedTransactions

          public boolean supportsThreadedTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
      Specified by:
        `supportsThreadedTransactions` in interface `Graph.Features.GraphFeatures`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.